GIT-TRIM(1)                                    General Commands Manual                                    GIT-TRIM(1)

NAME
       git-trim - Automatically trims your tracking branches whose upstream branches are merged or stray.

SYNOPSIS
       git-trim [FLAGS] [OPTIONS]

FLAGS
       -h, --help
              Prints help information

       --no-update
              Do not update remotes [config: trim.update]

       --no-confirm
              Do not ask confirm [config: trim.confirm]

       --no-detach
              Do not detach when HEAD is about to be deleted [config: trim.detach]

       --dry-run
              Do not delete branches, show what branches will be deleted

OPTIONS
       -b, --bases=bases
              Comma separated multiple names of branches. All the other branches are compared with the upstream
              branches of those branches. [default: branches that tracks `git symbolic-ref refs/remotes/*/HEAD`]
              [config: trim.bases]

              The default value is a branch that tracks `git symbolic-ref refs/remotes/*/HEAD`. They might not be
              reflected correctly when the HEAD branch of your remote repository is changed. You can see the changed
              HEAD branch name with `git remote show <remote>` and apply it to your local repository with `git remote
              set-head <remote> --auto`.

       -p, --protected=protected
              Comma separated multiple glob patterns (e.g. `release-*`, `feature/*`) of branches that should never be
              deleted. [config: trim.protected]

       --update-interval=update_interval
              Prevents too frequent updates. Seconds between updates in seconds. 0 to disable. [default: 5] [config:
              trim.updateInterval]

       -d, --delete=delete
              Comma separated values of `<delete range>[:<remote name>]`. Delete range is one of the `merged,
              merged-local, merged-remote, stray, diverged, local, remote`. `:<remote name>` is only necessary to a
              `<delete range>` when the range is applied to remote branches. You can use `*` as `<remote name>` to
              delete a range of branches from all remotes. [default : `merged:origin`] [config: trim.delete]

              `merged` implies `merged-local,merged-remote`.

              `merged-local` will delete merged tracking local branches. `merged-remote:<remote>` will delete merged
              upstream branches from `<remote>`. `stray` will delete tracking local branches, which is not merged,
              but the upstream is gone. `diverged:<remote>` will delete merged tracking local branches, and their
              upstreams from `<remote>` even if the upstreams are not merged and diverged from local ones. `local`
              will delete non-tracking merged local branches. `remote:<remote>` will delete non-upstream merged
              remote tracking branches. Use with caution when you are using other than `merged`. It might lose
              changes, and even nuke repositories.

EXIT STATUS
       0      Successful program execution.

       1      Unsuccessful program execution.

       101    The program panicked.

                                                                                                          GIT-TRIM(1)
